import 'translations.dart';

/// The translations for Kannada (`kn`).
class TranslationsKn extends Translations {
  TranslationsKn([String locale = 'kn']) : super(locale);

  @override
  String get portFolio => 'ಪೋರ್ಟ್‌ಫೋಲಿಯೋ';

  @override
  String get portfolioDesc => 'ಹುಡುಕಾಟ, ಹೂಡಿಕೆಗಳು ಮತ್ತು ಇನ್ನಷ್ಟು';

  @override
  String get discover => 'ಹುಡುಕಿ';

  @override
  String get investment => 'ಹೂಡಿಕೆಗಳು';

  @override
  String get homeCardDec2 =>
      '₹100 ರಷ್ಟು ಕಡಿಮೆಯಿಂದ ಆರಂಭಿಸಿ ಇಟಿಎಫ್‌ಗಳ ಮೂಲಕ ಅಗ್ರ 25 ಸ್ಟಾಕ್‌ಗಳ ಭಾಗಶಃ ಷೇರುಗಳು';

  @override
  String get homeCardDec1 =>
      'ನಿಮ್ಮ ಅಗತ್ಯಗಳಿಗೆ ಹೊಂದುವ ಉತ್ತಮ ಛೋಟಾಸ್ಟಾಕ್‌ ಅನ್ನು ಆಯ್ಕೆ ಮಾಡಿ';

  @override
  String get funds => 'ಫಂಡ್‌ಗಳು';

  @override
  String get noBrokerConnected => 'ಯಾವುದೇ ಬ್ರೋಕರ್ ಸಂಪರ್ಕಿಸಿಲ್ಲ';

  @override
  String get account => 'ಖಾತೆ';

  @override
  String get orders => 'ಆರ್ಡರ್‌ಗಳು';

  @override
  String get ordersHistory => 'ಆರ್ಡರ್ ಇತಿಹಾಸ, ಸ್ಟೇಟಸ್ ಮತ್ತು ಇನ್ನಷ್ಟು';

  @override
  String get logoutBroker => 'ಬ್ರೋಕರ್‌ನಿಂದ ಲಾಗೌಟ್ ಮಾಡಿ';

  @override
  String get disconnectYourAccount =>
      'ನಿಮ್ಮ ಟ್ರೇಡಿಂಗ್‌ ಖಾತೆಯ ಸಂಪರ್ಕ ಕಡಿತಗೊಳಿಸಿ';

  @override
  String get poweredBy => 'ಪ್ರಾಯೋಜಿತ';

  @override
  String get version => 'ಆವೃತ್ತಿ 1.0';

  @override
  String get pastPerformanceTxt =>
      'ಎಲ್ಲ ರಿಬ್ಯಾಲೆನ್ಸ್‌ಗಳನ್ನು ಹಿಂದಿನ ಕಾರ್ಯಕ್ಷಮತೆಯು ಒಳಗೊಂಡಿರುತ್ತದೆ ಮತ್ತು ವೆಚ್ಚ ಅಥವಾ ಖಚಿತ ಭವಿಷ್ಯದ ರಿಟರ್ನ್ಸ್‌ ಅನ್ನು ಒಳಗೊಂಡಿರುವುದಿಲ್ಲ.';

  @override
  String get loading => 'ಲೋಡ್ ಆಗುತ್ತಿದೆ...';

  @override
  String get somethingWentWrong => 'ಏನೋ ತಪ್ಪಾಗಿದೆ.';

  @override
  String get retry => 'ಪುನಃ ಪ್ರಯತ್ನಿಸಿ';

  @override
  String get exitStock => 'ಛೋಟಾ ಸ್ಟಾಕ್ಸ್‌ ಇಂದ ನಿರ್ಗಮಿಸಿ';

  @override
  String get exitStockLabel =>
      "ಈ ಛೋಟಾಸ್ಟಾಕ್‌ನಿಂದ ಭಾಗಶಃ ಅಥವಾ ಒಟ್ಟಾರೆಯಾಗಿ ನಿರ್ಗಮಿಸಿ";

  @override
  String get investCTA => 'ಈಗಲೇ ಹೂಡಿಕೆ ಮಾಡಿ';

  @override
  String get orderSubmitted => 'ಆರ್ಡರ್‌ ಸಲ್ಲಿಸಲಾಗಿದೆ!';

  @override
  String get viewOrder => 'ಆರ್ಡರ್‌ಗಳನ್ನು ನೋಡಿ';

  @override
  String get emptyBasket => 'ಯಾವುದೇ ಛೋಟಾ ಸ್ಟಾಕ್ಸ್‌ ಲಭ್ಯವಿಲ್ಲ!';

  @override
  String get stocksAndWeight => 'ಸ್ಟಾಕ್‌ಗಳು ಮತ್ತು ವೇಯ್ಟ್‌';

  @override
  String get overview => 'ಮುನ್ನೋಟ';

  @override
  String get chhotaStocksInfo1 =>
      'ಈ ಛೋಟಾಸ್ಟಾಕ್‌ ಐಟಂಗಳನ್ನು 2021 ಡಿ. 15 ರಂದು ಪರಿಶೀಲಿಸಲಾಗಿದೆ ಮತ್ತು ಇನ್ನು 2023 ಜ. 15 ರಂದು ಪರಿಶೀಲಿಸಲಾಗುತ್ತದೆ';

  @override
  String get chhotaStocksInfo2 => 'ಎಲ್ಲಿ ಇದನ್ನು ಹೂಡಿಕೆ ಮಾಡಲಾಗಿದೆ?';

  @override
  String get chhotaStocksInfo3 =>
      'ಈ ಛೋಟಾಸ್ಟಾಕ್‌ನಲ್ಲಿ ಹೂಡಿಕೆ ಮಾಡಿದ ಪ್ರತಿ ಯೂನಿಟ್‌ ಅನ್ನು ಹಲವು ಸ್ಟಾಕ್‌ಗಳು ಮತ್ತು ಸೆಗ್ಮೆಂಟ್‌ಗಳಲ್ಲಿ ಇಟಿಎಫ್‌ ಮೂಲಕ ಹೂಡಿಕೆ ಮಾಡಲಾಗುತ್ತದೆ';

  @override
  String get chhotaStocksInfo4 =>
      'ಛೋಟಾ ಸ್ಟಾಕ್‌ಗಳನ್ನು ಶೀಘ್ರದಲ್ಲೇ ಸೇರಿಸಲಾಗುತ್ತದೆ!';

  @override
  String get stocksAndSegment => 'ಸ್ಟಾಕ್‌ಗಳು ಮತ್ತು ಸೆಗ್ಮೆಂಟ್';

  @override
  String get weightage => 'ವೇಯ್ಟೇಜ್‌';

  @override
  String get latestNew => 'ಇತ್ತೀಚಿನ ಸುದ್ದಿಗಳು';

  @override
  String get news => 'ಸುದ್ದಿಗಳು';

  @override
  String get allBatches => 'ಎಲ್ಲ ಬ್ಯಾಚ್‌ಗಳು';

  @override
  String get track => 'ಟ್ರ್ಯಾಕ್';

  @override
  String get batch => 'ಬ್ಯಾಚ್';

  @override
  String get status => 'ಸ್ಟೇಟಸ್';

  @override
  String get stock => 'ಸ್ಟಾಕ್';

  @override
  String get avgPrice => 'ಸರಾಸರಿ ಬೆಲೆ';

  @override
  String get qtyFilled => 'ಭರ್ತಿ ಮಾಡಿದ ಪ್ರಮಾಣ';

  @override
  String get seeAll => 'ಎಲ್ಲವನ್ನೂ ನೋಡಿ';

  @override
  String get lastPlacedOn => 'ಕೊನೆಯದಾಗಿ ಪ್ಲೇಸ್ ಮಾಡಿರುವುದು';

  @override
  String get noOrders => 'ಇನ್ನೂ ಯಾವುದೇ ಆರ್ಡರ್‌ಗಳಿಲ್ಲ!';

  @override
  String get currentVal => 'ಪ್ರಸ್ತುತ ಮೌಲ್ಯ';

  @override
  String get totalReturns => 'ಒಟ್ಟು ರಿಟರ್ನ್ಸ್‌';

  @override
  String get currentInv => 'ಪ್ರಸ್ತುತ ಹೂಡಿಕೆ';

  @override
  String get currentReturns => 'ಪ್ರಸ್ತುತ ರಿಟರ್ನ್ಸ್‌';

  @override
  String get indexVal => 'ಸೂಚ್ಯಂಕ ಮೌಲ್ಯ';

  @override
  String get details => 'ವಿವರಗಳು';

  @override
  String get investedOn => 'ಹೂಡಿಕೆ ಮಾಡಿರುವುದು';

  @override
  String get performance => 'ಕಾರ್ಯಕ್ಷಮತೆ';

  @override
  String get realizedAndDiv => 'ನಗದೀಕರಿಸಿದ ರಿಟರ್ನ್ಸ್‌ + ಡಿವಿಡೆಂಡ್‌ಗಳು';

  @override
  String get stocksAndETF => 'ಸ್ಟಾಕ್‌ಗಳು/ಇಟಿಎಫ್‌ಗಳು';

  @override
  String get returns => 'ರಿಟರ್ನ್‌ಗಳು';

  @override
  String get shares => 'ಷೇರುಗಳು:';

  @override
  String get noInvestmentYet => 'ಇನ್ನೂ ಯಾವುದೇ ಹೂಡಿಕೆ ಇಲ್ಲ!!';

  @override
  String get openAcc => 'ತೆರೆದ ಖಾತೆ';
}
