import 'translations.dart';

/// The translations for Marathi (`mr`).
class TranslationsMr extends Translations {
  TranslationsMr([String locale = 'mr']) : super(locale);

  @override
  String get portFolio => 'पोर्टफोलिओ';

  @override
  String get portfolioDesc => 'शोधा, गुंतवणूक आणि बरेच काही';

  @override
  String get discover => 'शोधा';

  @override
  String get investment => 'गुंतवणूक';

  @override
  String get homeCardDec2 =>
      'ETF द्वारे टॉप 25 स्टॉक्सचे फ्रॅक्शनल शेअर्स ₹100 पासून कमी सुरू होतात';

  @override
  String get homeCardDec1 => 'तुमच्या गरजेनुसार सर्वोत्तम छोटास्टॉक निवडा';

  @override
  String get funds => 'निधी';

  @override
  String get noBrokerConnected => 'कोणताही ब्रोकर जोडलेला नाही';

  @override
  String get account => 'खाते';

  @override
  String get orders => 'आर्डर';

  @override
  String get ordersHistory => 'ऑर्डर इतिहास, स्थिती आणि बरेच काही';

  @override
  String get logoutBroker => 'ब्रोकरकडून लॉगआउट करा';

  @override
  String get disconnectYourAccount => 'तुमचे ट्रेडिंग खाते डिस्कनेक्ट करा';

  @override
  String get poweredBy => 'द्वारा संचालित';

  @override
  String get version => 'आवृत्ती 1.0';

  @override
  String get pastPerformanceTxt =>
      'भूतकाळातील कामगिरीमध्ये सर्व पुनर्संतुलन समाविष्ट आहे आणि त्यात किंमत किंवा भविष्यातील परताव्याची हमी समाविष्ट नाही.';

  @override
  String get loading => 'लोड करत आहे...';

  @override
  String get somethingWentWrong => 'काहीतरी चूक झाली.';

  @override
  String get retry => 'पुन्हा प्रयत्न करा';

  @override
  String get exitStock => 'छोटा स्टॉक्समधून बाहेर पडा';

  @override
  String get exitStockLabel =>
      "या छोटास्टॉकमधून अंशतः किंवा संपूर्णपणे बाहेर पडा";

  @override
  String get investCTA => 'आता गुंतवणूक करा';

  @override
  String get orderSubmitted => 'ऑर्डर सबमिट केली!';

  @override
  String get viewOrder => 'ऑर्डर पहा';

  @override
  String get emptyBasket => 'छोटा स्टॉक्स उपलब्ध नाही!';

  @override
  String get stocksAndWeight => 'स्टॉक आणि वज़न';

  @override
  String get overview => 'आढावा';

  @override
  String get chhotaStocksInfo1 =>
      'या छोटास्टॉकच्या घटकांचे अंतिम पुनरावलोकन 15 डिसेंबर 2021 रोजी करण्यात आले होते आणि पुढील पुनरावलोकन 15 जानेवारी 2023 रोजी केले जाईल';

  @override
  String get chhotaStocksInfo2 => 'ते कुठे गुंतवले जाते?';

  @override
  String get chhotaStocksInfo3 =>
      'या छोटास्टॉकमध्ये खरेदी केलेले प्रत्येक युनिट ETF द्वारे एकाधिक स्टॉक आणि विभागांमध्ये गुंतवले जाते';

  @override
  String get chhotaStocksInfo4 => 'छोटा स्टॉक्स लवकरच जोडले जातील!';

  @override
  String get stocksAndSegment => 'स्टॉक्स आणि विभाग';

  @override
  String get weightage => 'वजन';

  @override
  String get latestNew => 'ताजी बातमी';

  @override
  String get news => 'बातम्या';

  @override
  String get allBatches => 'सर्व बॅचेस';

  @override
  String get track => 'ट्रॅक';

  @override
  String get batch => 'बॅच';

  @override
  String get status => 'स्थिती';

  @override
  String get stock => 'स्टॉक';

  @override
  String get avgPrice => 'सरासरी किंमत';

  @override
  String get qtyFilled => 'प्रमाण भरले';

  @override
  String get seeAll => 'सर्व पाहा';

  @override
  String get lastPlacedOn => 'वर शेवटचे ठेवले';

  @override
  String get noOrders => 'अद्याप ऑर्डर नाहीत!';

  @override
  String get currentVal => 'वर्तमान मूल्य';

  @override
  String get totalReturns => 'एकूण परतावा';

  @override
  String get currentInv => 'चालू गुंतवणूक';

  @override
  String get currentReturns => 'वर्तमान परतावा';

  @override
  String get indexVal => 'निर्देशांक मूल्य';

  @override
  String get details => 'तपशील';

  @override
  String get investedOn => 'वर गुंतवणूक केली';

  @override
  String get performance => 'कामगिरी';

  @override
  String get realizedAndDiv => 'प्राप्त परतावा + लाभांश';

  @override
  String get stocksAndETF => 'स्टॉक्स/ईटीएफ';

  @override
  String get returns => 'परतावा';

  @override
  String get shares => 'शेअर्स:';

  @override
  String get noInvestmentYet => 'अजून गुंतवणूक नाही!!';

  @override
  String get openAcc => 'खाते उघडा';
}
