import 'package:scgateway_flutter_plugin/scgateway_flutter_plugin.dart';

import 'flavour.dart';

class ChhotaStocksConfig {
  final ChhotaStocksFlavour chhotaStocksFlavour;
  final String partnerGatewayName;
  final String partnerGatewaySecret;
  final String mobile;
   bool isGuestUser;
  final String languageCode;
  static ChhotaStocksConfig? _instance;

  ChhotaStocksConfig._internal(
      {required this.chhotaStocksFlavour,
      required this.partnerGatewayName,
      required this.partnerGatewaySecret,
      required this.mobile,
      required this.languageCode,
        this.isGuestUser=true,

      });

  static void initChhotaStocksConfig(
      {required ChhotaStocksFlavour chhotaStocksFlavour,
      required String partnerGatewayName,
      required String partnerGatewaySecret,
      required String mobile,
      required String  languageCode

      }) {

    _instance = _instance ??
        ChhotaStocksConfig._internal(
            chhotaStocksFlavour: chhotaStocksFlavour,
            partnerGatewayName: partnerGatewayName,
            partnerGatewaySecret: partnerGatewaySecret,
            mobile: mobile,
            languageCode:languageCode
        );

  }

  static ChhotaStocksConfig getInstance() {
    if (_instance == null) {
      throw StateError("Chhota Stocks config not initialised");
    }

    return _instance!;
  }

  Future<void> initSCGatewayPlugin({required String scGatewayName,required String scGatewayToken})async{
    await ScgatewayFlutterPlugin.setConfigEnvironment(
        GatewayEnvironment.PRODUCTION,
        scGatewayName,
        ChhotaStocksConfig.getInstance().chhotaStocksFlavour !=
            ChhotaStocksFlavour.PRODDUCTION,
        []);


    await ScgatewayFlutterPlugin.initGateway(scGatewayToken);


  }

  String get baseURL => BaseUrl.getBaseUrl(chhotaStocksFlavour);


  void setGuestUser(bool value){
    isGuestUser=value;
  }


}
