import 'dart:convert';

import 'package:chhota_stocks_flutter/l10n/translations.dart';
import 'package:chhota_stocks_flutter/src/core/config/chhota_stocks_config.dart';
import 'package:chhota_stocks_flutter/src/feature/saveLead/bloc/save_lead_cubit.dart';
import 'package:chhota_stocks_flutter/src/feature/saveLead/model/leadgen_status_response.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:scgateway_flutter_plugin/scgateway_flutter_plugin.dart';

class LeadGenButton extends StatelessWidget {
  const LeadGenButton({Key? key}):super(key: key);
  @override
  Widget build(BuildContext context) {
   return BlocProvider<SaveLeadCubit>(
       create: (context)=>SaveLeadCubit(),
        child: _LeadGenBtn(),

   );



  }
}

class _LeadGenBtn extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    if(ChhotaStocksConfig.getInstance().isGuestUser!=null&&ChhotaStocksConfig.getInstance().isGuestUser){
      return Padding(
        padding: const EdgeInsets.symmetric(horizontal: 20.0,vertical: 16.0),
        child: FloatingActionButton.extended(
            label: Text(
              Translations.of(context).openAcc,
              overflow: TextOverflow.ellipsis,
              style: const TextStyle(color: Colors.white),),
            backgroundColor: Colors.green,
            onPressed: ()async{
          ScgatewayFlutterPlugin.leadGenWithStatus("","", ChhotaStocksConfig.getInstance().mobile).then((value){


                       if(value!=null){
                        try{
                          final response=jsonDecode(value);
                          final responseData=LeadGenStatusResponse.fromJson(response);

                          BlocProvider.of<SaveLeadCubit>(context).saveLead(leadId: responseData.leadId??"", status: responseData.status??"");
                        }catch (e){
                          debugPrint("Leadgen call failed:${e}");
                        }


                       }

             });

            }),
      );
    }else{
      return SizedBox();
    }
  }
}
